xine-lib: mpd_input_plugin_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
mpd_input_plugin_s Struct Reference

## Data Fields
input_plugin_t | input_plugin
xine_stream_t * | stream
xine_nbc_t * | nbc
struct mpd_input_plugin_s * | main_input
input_plugin_t * | in1
uint32_t | caps1
uint32_t | side_index
uint32_t | num_sides
struct { |
pthread_mutex_t mutex |
struct timespec avail_start play_start |
int lag |
uint32_t type |
int init |
int refs |
} | sync |
int | rewind
xine_stree_t * | tree
char * | list_buf
xine_stree_mode_t | tmode
uint32_t | base_url
uint32_t | seg_base_url
uint32_t | time_url
int64_t | frag_num
uint32_t | frag_index
uint32_t | frag_mrl_1
uint32_t | frag_mrl_2
uint32_t | frag_mrl_3
uint8_t | side_have_streams [4][16]
uint32_t | num_streams
uint32_t | used_stream
mpd_stream_info_t | info
mpd_stream_info_t | streams [32]
multirate_pref_t | items [32]
xine_mfrag_list_t * | fraglist
off_t | pos
off_t | frag_pos
off_t | all_size
uint32_t | frag_size
uint32_t | prev_size1
uint32_t | prev_size2
uint32_t | list_bsize
uint32_t | duration
mpd_mode_t | mode
char | manifest_mrl [4096]
char | list_mrl [4096]
char | item_mrl [4096]
char | preview [(32<< 10)]

## Field Documentation

## ◆ all_size

off_t mpd_input_plugin_s::all_size

## ◆ base_url

uint32_t mpd_input_plugin_s::base_url

## ◆ caps1

uint32_t mpd_input_plugin_s::caps1

Referenced by mpd_get_side().

## ◆ duration

uint32_t mpd_input_plugin_s::duration

## ◆ frag_index

uint32_t mpd_input_plugin_s::frag_index

<< derived from manifest

## ◆ frag_mrl_1

uint32_t mpd_input_plugin_s::frag_mrl_1

<< 0 (init), 1...n (real frags)

## ◆ frag_mrl_2

uint32_t mpd_input_plugin_s::frag_mrl_2

<< [foo/bar_]12345.mp4

## ◆ frag_mrl_3

uint32_t mpd_input_plugin_s::frag_mrl_3

<< foo/bar_[12345].mp4

## ◆ frag_num

int64_t mpd_input_plugin_s::frag_num

<< offs into stree buf

## ◆ frag_pos

off_t mpd_input_plugin_s::frag_pos

## ◆ frag_size

uint32_t mpd_input_plugin_s::frag_size

## ◆ fraglist

xine_mfrag_list_t* mpd_input_plugin_s::fraglist

Referenced by mpd_get_side().

## ◆ in1

input_plugin_t* mpd_input_plugin_s::in1

Referenced by mpd_get_side().

## ◆ info

mpd_stream_info_t mpd_input_plugin_s::info

## ◆ init

int mpd_input_plugin_s::init

Referenced by mpd_get_side(), and mpd_set_start_time().

## ◆ input_plugin

input_plugin_t mpd_input_plugin_s::input_plugin

Referenced by mpd_get_side().

## ◆ item_mrl

char mpd_input_plugin_s::item_mrl[4096]

## ◆ items

multirate_pref_t mpd_input_plugin_s::items[32]

## ◆ lag

int mpd_input_plugin_s::lag

<< since 1970

set by main input, used by sides

Referenced by mpd_set_start_time().

## ◆ list_bsize

uint32_t mpd_input_plugin_s::list_bsize

<< for read (), 0 after leaving that range.

## ◆ list_buf

char* mpd_input_plugin_s::list_buf

Referenced by mpd_get_side().

## ◆ list_mrl

char mpd_input_plugin_s::list_mrl[4096]

## ◆ main_input

struct mpd_input_plugin_s* mpd_input_plugin_s::main_input

## ◆ manifest_mrl

char mpd_input_plugin_s::manifest_mrl[4096]

## ◆ mode

mpd_mode_t mpd_input_plugin_s::mode

## ◆ mutex

pthread_mutex_t mpd_input_plugin_s::mutex

Referenced by mpd_get_side().

## ◆ nbc

xine_nbc_t* mpd_input_plugin_s::nbc

Referenced by mpd_get_side().

## ◆ num_sides

uint32_t mpd_input_plugin_s::num_sides

<< 0..3

## ◆ num_streams

uint32_t mpd_input_plugin_s::num_streams

## ◆ play_start

struct timespec avail_start mpd_input_plugin_s::play_start

Referenced by mpd_set_start_time().

## ◆ pos

off_t mpd_input_plugin_s::pos

## ◆ prev_size1

uint32_t mpd_input_plugin_s::prev_size1

## ◆ prev_size2

uint32_t mpd_input_plugin_s::prev_size2

<< the actual preview bytes, for INPUT_OPTIONAL_DATA_[SIZED]_PREVIEW.

## ◆ preview

char mpd_input_plugin_s::preview[(32<< 10)]

## ◆ refs

int mpd_input_plugin_s::refs

Referenced by mpd_get_side(), and mpd_input_dispose().

## ◆ rewind

int mpd_input_plugin_s::rewind

pts

## ◆ seg_base_url

uint32_t mpd_input_plugin_s::seg_base_url

## ◆ side_have_streams

uint8_t mpd_input_plugin_s::side_have_streams[4][16]

## ◆ side_index

uint32_t mpd_input_plugin_s::side_index

Referenced by mpd_get_side().

## ◆ stream

xine_stream_t* mpd_input_plugin_s::stream

Referenced by mpd_get_side().

## ◆ streams

mpd_stream_info_t mpd_input_plugin_s::streams[32]

## ◆ [struct]

struct { ... } mpd_input_plugin_s::sync

Referenced by mpd_get_side(), and mpd_set_start_time().

## ◆ time_url

uint32_t mpd_input_plugin_s::time_url

## ◆ tmode

xine_stree_mode_t mpd_input_plugin_s::tmode

## ◆ tree

xine_stree_t* mpd_input_plugin_s::tree

seconds

Referenced by mpd_get_side().

## ◆ type

uint32_t mpd_input_plugin_s::type

pts

Referenced by mpd_set_start_time().

## ◆ used_stream

uint32_t mpd_input_plugin_s::used_stream

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/input/input_mpegdash.c